"""Erzeuge einen Stern von Linien"""
from CADdy.Application   import GetApplic
from CADdy.Utility.Model import AddToParent

theCADdy = GetApplic()

factory       = theCADdy.Factory2D()
targetManager = theCADdy.TargetManager()
typesManager  = theCADdy.DataTypesManager()

pos1  = typesManager.Create2DPosition(100.0,100.0)
pos2  = typesManager.Create2DPosition(100.0,200.0)
vec1  = typesManager.Create2DVector(100.0,100.0)
angle = typesManager.CreateAngle(0.0)

for w in range(0,360,1):
    angle.Grad = w
    pos2.SetPolar(angle,200.0)
    pos2.Add(vec1)
    line = factory.CreateOp2DStraSeg(pos1,pos2)
    AddToParent(line, targetManager.TargetOp2DParent)

