"""Erzeuge ein einfaches Polygon aus vier Punkten"""
from CADdy.Application import GetApplic
from CADdy.Utility.Model import AddToParent

theCADdy = GetApplic()

factory       = theCADdy.Factory2D()
targetManager = theCADdy.TargetManager()
typesManager  = theCADdy.DataTypesManager()

pos1 = typesManager.Create2DPosition(100.0,100.0)
pos2 = typesManager.Create2DPosition(200.0,200.0)
pos3 = typesManager.Create2DPosition(300.0,150.0)
pos4 = typesManager.Create2DPosition(400.0,300.0)

line1 = factory.CreateOp2DStraSeg(pos1,pos2)
line2 = factory.CreateOp2DStraSeg(pos2,pos3)
line3 = factory.CreateOp2DStraSeg(pos3,pos4)

AddToParent(line1, targetManager.TargetOp2DParent)
AddToParent(line2, targetManager.TargetOp2DParent)
AddToParent(line3, targetManager.TargetOp2DParent)

