##
## Sample0.py - Hello world sample
##
"""Hello world sample.

This small python script demonstrates the famous 'Hello World' sample by
means of the CADdy++ python COM programming framework.
"""
from CADdy.Application import GetApplic

def main():
    theCADdy = GetApplic()

    ##
    ## The application object provides access to different manager objects. 
    ## One of them is the user interface manager, which we use for showing
    ## a information window with the text to be displayed.
    ##
    uiManager = theCADdy.UIManager()
    
    uiManager.Information("Hello World!")

if __name__ == '__main__':
    main()
