import os
from CADdy.Application import GetApplic
from CADdy.Utility.UI  import GetFileNames

theCADdy = GetApplic()

fm     = theCADdy.FrameManager()
ui     = theCADdy.UIManager()
iCADdy = theCADdy.ICADdy()

fileNames = GetFileNames(
    "Model Print",
    os.path.join(iCADdy.HomeDirectory , 'mod'),
    "CADdy Modell (*.mod)|*.mod")

if fileNames != None:
    for file in fileNames:
        ui.Information("fileNames=" + file)
        fm.ExecuteCommand(".op.model.open <" + file + ">")
        fm.ExecuteCommand(".op.model.plotActiveView Default")

        # fm.ExecuteCommand(".op.model.plotActiveView CADdy")
        # fm.ExecuteCommand(".op.model.plotActiveView")

fm.ExecuteCommand(".op.model.new")
fm.ExecuteCommand(".log.clear")
